Bug 523368 - initscript collected problems LSB-compilant rusersd
Summary: initscript collected problems LSB-compilant rusersd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rusers
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 567957
TreeView+ depends on / blocked
 
Reported: 2009-09-15 08:04 UTC by Jan Ščotka
Modified: 2015-02-01 22:49 UTC (History)
3 users (show)

Fixed In Version: rusers-0.17-58.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 567957 (view as bug list)
Environment:
Last Closed: 2010-02-27 03:47:15 UTC


Attachments (Terms of Use)

Description Jan Ščotka 2009-09-15 08:04:12 UTC
There are some problems with LSB-compilants of initscript against
https://fedoraproject.org/wiki/Packaging/SysVInitScript definition.

service: rusersd

I've created some test and there is output of run (PASS menas that it started correctly, FAIL, that there is some problem with returncode, explanaition in brackets):

:: [   LOG    ] :: >>>>>>>>> service start
:: [   PASS   ] ::  Service must start without problem
:: [   PASS   ] ::  Then Status command 
:: [   PASS   ] ::  Already started service 
:: [   PASS   ] ::  Again status command 
:: [   LOG    ] :: >>>>>>>>> service restart
:: [   PASS   ] ::  Restarting of service
:: [   PASS   ] ::  Status command 
:: [   LOG    ] :: >>>>>>>>> service stop
:: [   PASS   ] ::  Stopping service 
:: [   PASS   ] ::  Status of stopped service 
:: [   PASS   ] ::  Stopping service again 
:: [   PASS   ] ::  Status of stopped service 
:: [   LOG    ] :: >>>>>>>>> pid file
:: [   FAIL   ] :: File /var/run/rusersd.pid should exist 
:: [   PASS   ] :: Running 'echo 666666 > /var/run/rusersd.pid'
:: [   FAIL   ] ::  Existing pid file, but service not started  (Expected 1, got 3)
:: [   LOG    ] :: >>>>>>>>> lock file
:: [   PASS   ] :: File /var/lock/subsys/rusersd should exist
:: [   PASS   ] :: Running 'touch /var/lock/subsys/rusersd'
:: [   FAIL   ] ::  Existing lock file, but service not started  (Expected 2, got 3)
:: [   LOG    ] :: >>>>>>>>> insufficient rights
:: [   PASS   ] ::  Starting service for restarting under nonpriv user 
:: [   PASS   ] :: Insufficient rights, restarting resrvice under nonprivileged user must fail
:: [   LOG    ] :: >>>>>>>>> operations
:: [   PASS   ] ::  Service have to implement start function 
:: [   PASS   ] ::  Service have to implement restart function 
:: [   PASS   ] ::  Service have to implement status function 
:: [   FAIL   ] ::  Service have to implement usage function  (Expected 0, got 2)
:: [   PASS   ] ::  Service have to implement condrestart function 
:: [   FAIL   ] ::  Service have to implement try-restart function  (Expected 0, got 2)
:: [   FAIL   ] ::  Service have to implement reload function  (Expected 0, got 3)
:: [   PASS   ] ::  Service have to implement force-reload function 
:: [   LOG    ] :: >>>>>>>>> nonexist operations
:: [   PASS   ] ::  Testing proper return code when nonexisting function
:: [   LOG    ] :: >>>>>>>>> invalid arguments
:: [   PASS   ] ::  When no arguments added to service, it must fail with proper return code 

There are some problems: service doesn't create pid file and also is there bad exist status
are tbere bad exist states when lock file is there but service not working.
and also are ther some unimplement functions: usage, try-restart, reload (it should return proper code 3 (unimpelent) or should be implemented)

Comment 1 Bug Zapper 2009-11-16 12:23:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2010-02-24 13:01:00 UTC
rusers-0.17-57.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rusers-0.17-57.fc12

Comment 4 Fedora Update System 2010-02-24 13:05:37 UTC
rusers-0.17-58.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rusers-0.17-58.fc13

Comment 5 Fedora Update System 2010-02-25 12:46:35 UTC
rusers-0.17-58.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rusers'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2857

Comment 6 Fedora Update System 2010-02-27 03:47:05 UTC
rusers-0.17-57.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-03-23 02:08:12 UTC
rusers-0.17-58.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.